Subject: [Megaco] Add and CHOOSE

From: Tom Taylor <[email-masked]>
Date: Fri, 19 Dec 2003 07:57:44 -0500

Denis Osadchy has spotted an inaccuracy in section 7.2.1 as it relates 
to wildcarding of terminationIDs.

-------- Original Message --------
Subject: Re[2]:
Date: Fri, 19 Dec 2003 12:09:52 +0600
From: Денис Осадчий <[email-masked]>
Reply-To: Денис Осадчий <[email-masked]>
To: Taylor, Tom-PT [CAR:5N00:EXCH]<[email-masked]>
References: <[email-masked]>
<[email-masked]>

Hello Tom,
I'm fully agree. It will be more clearly.

Thursday, December 18, 2003 tou wrote:

TT> You are right that there is a contradiction.  However, I would
suggest a
TT> different way to fix the paragraph.

TT> Let me suggest a situation you might want to think about, and one
that I
TT> think is quite realistic: that you want the MG to choose a particular
TT> circuit from a group, where the terminationID consists of the circuit
TT> group name concatenated with the individual circuit name or number.
TT> Then what the Add command would have is a partially specified
TT> terminationID with the choose wildcard replacing the circuit
name/number
TT> portion.

TT> If you agree with this possible application, the paragraph should
TT> instead be fixed by changing the sentence to read:

TT> "For an existing termination, the TerminationID SHALL be specific or
TT> partially specified."

TT> Again, if you agree, we should forward this exchange of notes to the
TT> Megaco list.

TT> Денис Осадчий wrote:

>> Hello, I have question: by protocol
>> 
>> " 7.2.1   Add ... The TerminationID specifies the termination to be
>>  added to the Context.  The Termination is either created, or taken
>>  from the null Context.  For an existing Termination, the 
>> TerminationID would be specific. For a Termination that does not
>> yet exist, the TerminationID is specified as CHOOSE  in the
>> command. ... "
>> 
>> If terminationID is CHOOSE then it's request to add ephemeral 
>> termination? If i'm right then in this text we shall use SHALL (not
>>  would)? "For an existing Termination, the TerminationID would be 
>> specific."
>> 
>> 
>> Denis
>> 
>> 
>> 
>> 

Всего наилучшего,
Денис Осадчий                          mailto:[email-masked]

_______________________________________________
Megaco mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/megaco